Subject: Protocol Action: 'SIP-based Messaging with S/MIME' to Proposed Standard (draft-campbell-sip-messaging-smime-05.txt)

From: The IESG <[email-masked]>
Date: Mon, 11 Mar 2019 08:34:05 -0700

The IESG has approved the following document:
- 'SIP-based Messaging with S/MIME'
  (draft-campbell-sip-messaging-smime-05.txt) as Proposed Standard

This document has been reviewed in the IETF but is not the product of an IETF
Working Group.

The IESG contact person is Alexey Melnikov.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-campbell-sip-messaging-smime/

Technical Summary

  This document offers guidance on how to provide end-to-end
  authentication, integrity protection, and confidentiality for SIP
  (Session Initiation Protocol) based messaging using S/MIME
  (Secure/Multipurpose Internet Mail Extensions).  It updates and
  clarifies RFC 3261, RFC 3428, and RFC 4975 in an attempt to make
  it easier to implement and deploy in an interoperable fashion.
  It also updates cryptographic algorithm recommendations
  previously specified in RFC 3261, RFC 3428, and RFC 4975.
  This document is targeted as Standards Track because of these updates.

Working Group Summary

  This is not a WG document.

  The document was presented at IETF100 to the DISPATCH WG,
  see https://datatracker.ietf.org/meeting/100/materials/slides-100-dispatch-secure-messaging-00. 
  The draft was also discussed on the dispatch list; the result was to suggest AD sponsorship:
  https://mailarchive.ietf.org/arch/msg/dispatch/Vm6bWtZs28fCQbwmlWu9OZK6Efc.

Document Quality

  Carriers are talking about deployment of the RCS specifications
  from GSMA, which depends upon SIP MESSAGE and MSRP.
  This specification provides end-to-end protection for both
  of those messaging protocols.  Without this specification
  (or one something like it), then will not be an opportunity
  for end-to-end protections.  At least one industry association
  is looking into the infrastructure needed to support
  the deployment of these end-to-end security capabilities.

Personnel

  Sean Turner is the document shepherd.
  Alexey Melnikov is the responsible Area Director.